ColumnCounter.GroupByPrefix (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.filter

## Class ColumnCounter.GroupByPrefix

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnCounter
  - - org.apache.cassandra.db.filter.ColumnCounter.GroupByPrefix

- Enclosing class:
    ColumnCounter

      public static class ColumnCounter.GroupByPrefix
      extends ColumnCounter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.filter.ColumnCounter

      `ColumnCounter.GroupByPrefix`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.filter.ColumnCounter

      `ignored, live, timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnCounter.GroupByPrefix(long timestamp, CellNameType type, int toGroup)` A column counter that count only 1 for all the columns sharing a given prefix of the key.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `count(Cell cell, DeletionInfo.InOrderTester tester)`

    - ### Methods inherited from class org.apache.cassandra.db.filter.ColumnCounter

      `countAll, ignored, isLive, live`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnCounter.GroupByPrefix

          public ColumnCounter.GroupByPrefix(long timestamp,
                                     CellNameType type,
                                     int toGroup)

      A column counter that count only 1 for all the columns sharing a given prefix of the key.
      Parameters:
        `type` - the type of the column name. This can be null if `toGroup` is 0, otherwise it should be a composite.
        `toGroup` - the number of composite components on which to group column. If 0, all columns are grouped, otherwise we group those for which the `toGroup` first component are equals.

  - ### Method Detail

    - #### count

          public void count(Cell cell,
                   DeletionInfo.InOrderTester tester)

      Overrides:
        `count` in class `ColumnCounter`

Copyright © 2014 The Apache Software Foundation